<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" modelDirectory="/org.gecko.eclipse.model/src" editDirectory="/org.gecko.eclipse.edit/src"
    editorDirectory="/org.gecko.eclipse.editor/src" modelPluginID="org.gecko.eclipse.model"
    modelName="Eclipse" editPluginClass="org.gecko.eclipse.provider.EclipseEditPlugin"
    editorPluginClass="org.gecko.eclipse.presentation.EclipseEditorPlugin" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    importerID="org.eclipse.xsd.ecore.importer" complianceLevel="8.0" copyrightFields="false"
    editPluginID="org.gecko.eclipse.edit" editorPluginID="org.gecko.eclipse.editor"
    operationReflection="true" importOrganizing="true">
  <foreignModel>eclipse.xsd</foreignModel>
  <genPackages prefix="Eclipse" basePackage="org.gecko" resource="XML" disposableProviderFactory="true"
      fileExtensions="xml" ecorePackage="eclipse.ecore#/">
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="eclipse.ecore#//LocationIncludeType">
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//LocationIncludeType/none"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//LocationIncludeType/planner"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//LocationIncludeType/slicer"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="eclipse.ecore#//MatchType">
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//MatchType/none"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//MatchType/greaterOrEqual"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//MatchType/equivalent"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//MatchType/compatible"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//MatchType/perfect"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="eclipse.ecore#//TargetType">
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//TargetType/none"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//TargetType/Directory"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//TargetType/Feature"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//TargetType/InstallableUnit"/>
      <genEnumLiterals ecoreEnumLiteral="eclipse.ecore#//TargetType/Profile"/>
    </genEnums>
    <genDataTypes ecoreDataType="eclipse.ecore#//LocationIncludeTypeObject"/>
    <genDataTypes ecoreDataType="eclipse.ecore#//MatchTypeObject"/>
    <genDataTypes ecoreDataType="eclipse.ecore#//TargetTypeObject"/>
    <genDataTypes ecoreDataType="eclipse.ecore#//Version"/>
    <genClasses ecoreClass="eclipse.ecore#//Artifact">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Artifact/processing"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Artifact/properties"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Artifact/repositoryProperties"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Artifact/classifier"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Artifact/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Artifact/version"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Artifacts">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Artifacts/artifact"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Artifacts/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//CategoryDef">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//CategoryDef/description"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//CategoryDef/label"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//CategoryDef/name"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//CategoryFeature">
      <genFeatures createChild="false" ecoreFeature="ecore:EReference eclipse.ecore#//CategoryFeature/category"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//CategoryFeature/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//CategoryFeature/version"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//CategorySite">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//CategorySite/feature"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//CategorySite/categoryDef"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//CategoryType">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//CategoryType/name"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//ChildrenType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//ChildrenType/child"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//ChildrenType/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Description">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Description/value"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Description/url"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//DocumentRoot">
      <genFeatures property="None" notify="false" createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//DocumentRoot/mixed"/>
      <genFeatures property="None" notify="false" createChild="false" ecoreFeature="ecore:EReference eclipse.ecore#//DocumentRoot/xMLNSPrefixMap"/>
      <genFeatures property="None" notify="false" createChild="false" ecoreFeature="ecore:EReference eclipse.ecore#//DocumentRoot/xSISchemaLocation"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//DocumentRoot/feature"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//DocumentRoot/repository"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//DocumentRoot/site"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//DocumentRoot/target"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Feature">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/installHandler"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/description"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/copyright"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/license"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/url"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/includes"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/requires"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Feature/plugin"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/arch"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/colocationAffinity"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/exclusive"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/image"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/label"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/nl"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/os"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/plugin1"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/providerName"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/version"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Feature/ws"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Import">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Import/feature"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Import/match"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Import/patch"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Import/plugin"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Import/version"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//ImportRequires">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//ImportRequires/import"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Include">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/arch"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/nl"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/optional"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/os"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/searchLocation"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/version"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Include/ws"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//InstallHandler">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//InstallHandler/handler"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//InstallHandler/library"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Instruction">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Instruction/value"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Instruction/key"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//InstructionsType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//InstructionsType/instruction"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//InstructionsType/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//LauncherArgs">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//LauncherArgs/programArgs"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//LauncherArgs/vmArgs"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//LicensesType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//LicensesType/license"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//LicensesType/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//MappingsType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//MappingsType/rule"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//MappingsType/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Plugin">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/arch"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/downloadSize"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/fragment"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/installSize"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/nl"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/os"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/unpack"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/version"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Plugin/ws"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Processing">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Processing/step"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Processing/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//ProcessStep">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//ProcessStep/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//ProcessStep/required"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Properties">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Properties/property"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Properties/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Property">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Property/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Property/value"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Provided">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Provided/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Provided/namespace"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Provided/version"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Provided/properties"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Provides">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Provides/provided"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Provides/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//ReferencesType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//ReferencesType/repository"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//ReferencesType/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Repository">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Repository/properties"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Repository/mappings"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Repository/references"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Repository/units"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Repository/children"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Repository/artifacts"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Repository/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Repository/type"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Repository/version"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//RepositoryRef">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//RepositoryRef/location"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//RepositoryRefs">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//RepositoryRefs/options"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//RepositoryRefs/type"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//RepositoryRefs/uri"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//RepositoryRefs/url"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Required">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Required/filter"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Required/greedy"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Required/multiple"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Required/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Required/namespace"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Required/optional"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Required/range"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//RequiredProperties">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//RequiredProperties/match"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//RequiredProperties/namespace"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Requires">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Requires/required"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Requires/requiredProperties"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Requires/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Rule">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Rule/filter"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Rule/output"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Site">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Site/label"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Site/url"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Target">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Target/locations"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Target/environment"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Target/targetJRE"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Target/launcherArgs"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Target/implicitDependencies"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Target/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Target/sequenceNumber"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//TargetDependencies">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//TargetDependencies/plugin"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//TargetEnvironment">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetEnvironment/arch"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetEnvironment/os"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetEnvironment/ws"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetEnvironment/nl"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//TargetJRE">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetJRE/path"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//TargetLocation">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//TargetLocation/repository"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//TargetLocation/unit"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetLocation/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetLocation/includeAllPlatforms"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetLocation/includeConfigurePhase"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetLocation/includeMode"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetLocation/includeSource"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetLocation/path"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TargetLocation/type"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//TargetLocations">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//TargetLocations/location"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Touchpoint">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Touchpoint/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Touchpoint/version"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//TouchpointData">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TouchpointData/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TouchpointData/version"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Unit">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/update"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/artifacts"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/hostRequirements"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/properties"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/provides"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/requires"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Unit/filter"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/touchpoint"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/touchpointData"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/licenses"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//Unit/copyright"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Unit/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Unit/singleton"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Unit/version"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Unit/generation"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//UnitsType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//UnitsType/unit"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//UnitsType/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//TouchpointDataType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//TouchpointDataType/instructions"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//TouchpointDataType/size"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//UrlType">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//UrlType/update"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference eclipse.ecore#//UrlType/discovery"/>
    </genClasses>
    <genClasses ecoreClass="eclipse.ecore#//Update">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Update/id"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Update/range"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute eclipse.ecore#//Update/severity"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
